package com.mszlu.blog.vo;

import lombok.AllArgsConstructor;
import lombok.Data;

@Data
@AllArgsConstructor
public class Result {

    private boolean success;

    private int code;

    private String msg;

    private Object date;

    public static Result success(Object date){
        return new Result(true,200,"success",date);
    }

    public static Result fail(int code,String msg){

        return new Result(false,code,msg,null);
    }
}
